source: squid-ssl/trunk/fuentes/src/fs/Makefile.in @ 5495

Last change on this file since 5495 was 5495, checked in by Juanma, 2 years ago

Initial release

File size: 44.9 KB
RevLine 
[5495]1# Makefile.in generated by automake 1.15 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17VPATH = @srcdir@
18am__is_gnu_make = { \
19  if test -z '$(MAKELEVEL)'; then \
20    false; \
21  elif test -n '$(MAKE_HOST)'; then \
22    true; \
23  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
24    true; \
25  else \
26    false; \
27  fi; \
28}
29am__make_running_with_option = \
30  case $${target_option-} in \
31      ?) ;; \
32      *) echo "am__make_running_with_option: internal error: invalid" \
33              "target option '$${target_option-}' specified" >&2; \
34         exit 1;; \
35  esac; \
36  has_opt=no; \
37  sane_makeflags=$$MAKEFLAGS; \
38  if $(am__is_gnu_make); then \
39    sane_makeflags=$$MFLAGS; \
40  else \
41    case $$MAKEFLAGS in \
42      *\\[\ \   ]*) \
43        bs=\\; \
44        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
45          | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
46    esac; \
47  fi; \
48  skip_next=no; \
49  strip_trailopt () \
50  { \
51    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
52  }; \
53  for flg in $$sane_makeflags; do \
54    test $$skip_next = yes && { skip_next=no; continue; }; \
55    case $$flg in \
56      *=*|--*) continue;; \
57        -*I) strip_trailopt 'I'; skip_next=yes;; \
58      -*I?*) strip_trailopt 'I';; \
59        -*O) strip_trailopt 'O'; skip_next=yes;; \
60      -*O?*) strip_trailopt 'O';; \
61        -*l) strip_trailopt 'l'; skip_next=yes;; \
62      -*l?*) strip_trailopt 'l';; \
63      -[dEDm]) skip_next=yes;; \
64      -[JT]) skip_next=yes;; \
65    esac; \
66    case $$flg in \
67      *$$target_option*) has_opt=yes; break;; \
68    esac; \
69  done; \
70  test $$has_opt = yes
71am__make_dryrun = (target_option=n; $(am__make_running_with_option))
72am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
73pkgdatadir = $(datadir)/@PACKAGE@
74pkgincludedir = $(includedir)/@PACKAGE@
75pkglibdir = $(libdir)/@PACKAGE@
76pkglibexecdir = $(libexecdir)/@PACKAGE@
77am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
78install_sh_DATA = $(install_sh) -c -m 644
79install_sh_PROGRAM = $(install_sh) -c
80install_sh_SCRIPT = $(install_sh) -c
81INSTALL_HEADER = $(INSTALL_DATA)
82transform = $(program_transform_name)
83NORMAL_INSTALL = :
84PRE_INSTALL = :
85POST_INSTALL = :
86NORMAL_UNINSTALL = :
87PRE_UNINSTALL = :
88POST_UNINSTALL = :
89build_triplet = @build@
90host_triplet = @host@
91check_PROGRAMS =
92@ENABLE_LOADABLE_MODULES_TRUE@am__append_1 = $(INCLTDL)
93subdir = src/fs
94ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
95am__aclocal_m4_deps = $(top_srcdir)/acinclude/ax_with_prog.m4 \
96        $(top_srcdir)/acinclude/init.m4 \
97        $(top_srcdir)/acinclude/squid-util.m4 \
98        $(top_srcdir)/acinclude/compiler-flags.m4 \
99        $(top_srcdir)/acinclude/os-deps.m4 \
100        $(top_srcdir)/acinclude/krb5.m4 $(top_srcdir)/acinclude/pam.m4 \
101        $(top_srcdir)/acinclude/pkg.m4 \
102        $(top_srcdir)/acinclude/lib-checks.m4 \
103        $(top_srcdir)/acinclude/ax_cxx_compile_stdcxx_11.m4 \
104        $(top_srcdir)/acinclude/ax_cxx_0x_types.m4 \
105        $(top_srcdir)/helpers/basic_auth/modules.m4 \
106        $(top_srcdir)/helpers/basic_auth/DB/required.m4 \
107        $(top_srcdir)/helpers/basic_auth/LDAP/required.m4 \
108        $(top_srcdir)/helpers/basic_auth/MSNT-multi-domain/required.m4 \
109        $(top_srcdir)/helpers/basic_auth/NCSA/required.m4 \
110        $(top_srcdir)/helpers/basic_auth/NIS/required.m4 \
111        $(top_srcdir)/helpers/basic_auth/PAM/required.m4 \
112        $(top_srcdir)/helpers/basic_auth/POP3/required.m4 \
113        $(top_srcdir)/helpers/basic_auth/RADIUS/required.m4 \
114        $(top_srcdir)/helpers/basic_auth/SASL/required.m4 \
115        $(top_srcdir)/helpers/basic_auth/SMB/required.m4 \
116        $(top_srcdir)/helpers/basic_auth/SMB_LM/required.m4 \
117        $(top_srcdir)/helpers/basic_auth/SSPI/required.m4 \
118        $(top_srcdir)/helpers/basic_auth/fake/required.m4 \
119        $(top_srcdir)/helpers/basic_auth/getpwnam/required.m4 \
120        $(top_srcdir)/helpers/digest_auth/modules.m4 \
121        $(top_srcdir)/helpers/digest_auth/LDAP/required.m4 \
122        $(top_srcdir)/helpers/digest_auth/eDirectory/required.m4 \
123        $(top_srcdir)/helpers/digest_auth/file/required.m4 \
124        $(top_srcdir)/helpers/negotiate_auth/modules.m4 \
125        $(top_srcdir)/helpers/negotiate_auth/SSPI/required.m4 \
126        $(top_srcdir)/helpers/negotiate_auth/kerberos/required.m4 \
127        $(top_srcdir)/helpers/negotiate_auth/wrapper/required.m4 \
128        $(top_srcdir)/helpers/ntlm_auth/modules.m4 \
129        $(top_srcdir)/helpers/ntlm_auth/fake/required.m4 \
130        $(top_srcdir)/helpers/ntlm_auth/SSPI/required.m4 \
131        $(top_srcdir)/helpers/ntlm_auth/smb_lm/required.m4 \
132        $(top_srcdir)/helpers/log_daemon/modules.m4 \
133        $(top_srcdir)/helpers/log_daemon/DB/required.m4 \
134        $(top_srcdir)/helpers/log_daemon/file/required.m4 \
135        $(top_srcdir)/helpers/external_acl/modules.m4 \
136        $(top_srcdir)/helpers/external_acl/AD_group/required.m4 \
137        $(top_srcdir)/helpers/external_acl/LDAP_group/required.m4 \
138        $(top_srcdir)/helpers/external_acl/LM_group/required.m4 \
139        $(top_srcdir)/helpers/external_acl/delayer/required.m4 \
140        $(top_srcdir)/helpers/external_acl/SQL_session/required.m4 \
141        $(top_srcdir)/helpers/external_acl/eDirectory_userip/required.m4 \
142        $(top_srcdir)/helpers/external_acl/file_userip/required.m4 \
143        $(top_srcdir)/helpers/external_acl/kerberos_ldap_group/required.m4 \
144        $(top_srcdir)/helpers/external_acl/session/required.m4 \
145        $(top_srcdir)/helpers/external_acl/time_quota/required.m4 \
146        $(top_srcdir)/helpers/external_acl/unix_group/required.m4 \
147        $(top_srcdir)/helpers/external_acl/wbinfo_group/required.m4 \
148        $(top_srcdir)/helpers/url_rewrite/modules.m4 \
149        $(top_srcdir)/helpers/url_rewrite/fake/required.m4 \
150        $(top_srcdir)/helpers/storeid_rewrite/modules.m4 \
151        $(top_srcdir)/helpers/storeid_rewrite/file/required.m4 \
152        $(top_srcdir)/configure.ac
153am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
154        $(ACLOCAL_M4)
155DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
156mkinstalldirs = $(install_sh) -d
157CONFIG_HEADER = $(top_builddir)/include/autoconf.h
158CONFIG_CLEAN_FILES =
159CONFIG_CLEAN_VPATH_FILES =
160LTLIBRARIES = $(noinst_LTLIBRARIES)
161libaufs_la_LIBADD =
162am__dirstamp = $(am__leading_dot)dirstamp
163am_libaufs_la_OBJECTS = aufs/StoreFSaufs.lo
164libaufs_la_OBJECTS = $(am_libaufs_la_OBJECTS)
165AM_V_lt = $(am__v_lt_@AM_V@)
166am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
167am__v_lt_0 = --silent
168am__v_lt_1 =
169libdiskd_la_LIBADD =
170am_libdiskd_la_OBJECTS = diskd/StoreFSdiskd.lo
171libdiskd_la_OBJECTS = $(am_libdiskd_la_OBJECTS)
172am__DEPENDENCIES_1 =
173am_libfs_la_OBJECTS = Module.lo
174libfs_la_OBJECTS = $(am_libfs_la_OBJECTS)
175librock_la_LIBADD =
176am_librock_la_OBJECTS = rock/RockDbCell.lo rock/RockIoState.lo \
177        rock/RockIoRequests.lo rock/RockRebuild.lo \
178        rock/RockStoreFileSystem.lo rock/RockSwapDir.lo
179librock_la_OBJECTS = $(am_librock_la_OBJECTS)
180libufs_la_LIBADD =
181am_libufs_la_OBJECTS = ufs/StoreFSufs.lo ufs/UFSStoreState.lo \
182        ufs/UFSSwapDir.lo ufs/UFSStrategy.lo ufs/StoreSearchUFS.lo \
183        ufs/UFSSwapLogParser.lo ufs/RebuildState.lo
184libufs_la_OBJECTS = $(am_libufs_la_OBJECTS)
185AM_V_P = $(am__v_P_@AM_V@)
186am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
187am__v_P_0 = false
188am__v_P_1 = :
189AM_V_GEN = $(am__v_GEN_@AM_V@)
190am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
191am__v_GEN_0 = @echo "  GEN     " $@;
192am__v_GEN_1 =
193AM_V_at = $(am__v_at_@AM_V@)
194am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
195am__v_at_0 = @
196am__v_at_1 =
197DEFAULT_INCLUDES =
198depcomp = $(SHELL) $(top_srcdir)/cfgaux/depcomp
199am__depfiles_maybe = depfiles
200am__mv = mv -f
201CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
202        $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
203LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
204        $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
205        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
206        $(AM_CXXFLAGS) $(CXXFLAGS)
207AM_V_CXX = $(am__v_CXX_@AM_V@)
208am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
209am__v_CXX_0 = @echo "  CXX     " $@;
210am__v_CXX_1 =
211CXXLD = $(CXX)
212CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
213        $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
214        $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
215AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
216am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
217am__v_CXXLD_0 = @echo "  CXXLD   " $@;
218am__v_CXXLD_1 =
219COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
220        $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
221LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
222        $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
223        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
224        $(AM_CFLAGS) $(CFLAGS)
225AM_V_CC = $(am__v_CC_@AM_V@)
226am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
227am__v_CC_0 = @echo "  CC      " $@;
228am__v_CC_1 =
229CCLD = $(CC)
230LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
231        $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
232        $(AM_LDFLAGS) $(LDFLAGS) -o $@
233AM_V_CCLD = $(am__v_CCLD_@AM_V@)
234am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
235am__v_CCLD_0 = @echo "  CCLD    " $@;
236am__v_CCLD_1 =
237SOURCES = $(libaufs_la_SOURCES) $(libdiskd_la_SOURCES) \
238        $(libfs_la_SOURCES) $(librock_la_SOURCES) $(libufs_la_SOURCES)
239DIST_SOURCES = $(libaufs_la_SOURCES) $(libdiskd_la_SOURCES) \
240        $(libfs_la_SOURCES) $(librock_la_SOURCES) $(libufs_la_SOURCES)
241am__can_run_installinfo = \
242  case $$AM_UPDATE_INFO_DIR in \
243    n|no|NO) false;; \
244    *) (install-info --version) >/dev/null 2>&1;; \
245  esac
246am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
247# Read a list of newline-separated strings from the standard input,
248# and print each of them once, without duplicates.  Input order is
249# *not* preserved.
250am__uniquify_input = $(AWK) '\
251  BEGIN { nonempty = 0; } \
252  { items[$$0] = 1; nonempty = 1; } \
253  END { if (nonempty) { for (i in items) print i; }; } \
254'
255# Make sure the list of sources is unique.  This is necessary because,
256# e.g., the same source file might be shared among _SOURCES variables
257# for different programs/libraries.
258am__define_uniq_tagged_files = \
259  list='$(am__tagged_files)'; \
260  unique=`for i in $$list; do \
261    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
262  done | $(am__uniquify_input)`
263ETAGS = etags
264CTAGS = ctags
265am__tty_colors_dummy = \
266  mgn= red= grn= lgn= blu= brg= std=; \
267  am__color_tests=no
268am__tty_colors = { \
269  $(am__tty_colors_dummy); \
270  if test "X$(AM_COLOR_TESTS)" = Xno; then \
271    am__color_tests=no; \
272  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
273    am__color_tests=yes; \
274  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
275    am__color_tests=yes; \
276  fi; \
277  if test $$am__color_tests = yes; then \
278    red='[0;31m'; \
279    grn='[0;32m'; \
280    lgn='[1;32m'; \
281    blu='[1;34m'; \
282    mgn='[0;35m'; \
283    brg='[1m'; \
284    std='[m'; \
285  fi; \
286}
287am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
288am__vpath_adj = case $$p in \
289    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
290    *) f=$$p;; \
291  esac;
292am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
293am__install_max = 40
294am__nobase_strip_setup = \
295  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
296am__nobase_strip = \
297  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
298am__nobase_list = $(am__nobase_strip_setup); \
299  for p in $$list; do echo "$$p $$p"; done | \
300  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
301  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
302    if (++n[$$2] == $(am__install_max)) \
303      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
304    END { for (dir in files) print dir, files[dir] }'
305am__base_list = \
306  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
307  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
308am__uninstall_files_from_dir = { \
309  test -z "$$files" \
310    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
311    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
312         $(am__cd) "$$dir" && rm -f $$files; }; \
313  }
314am__recheck_rx = ^[     ]*:recheck:[    ]*
315am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
316am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
317# A command that, given a newline-separated list of test names on the
318# standard input, print the name of the tests that are to be re-run
319# upon "make recheck".
320am__list_recheck_tests = $(AWK) '{ \
321  recheck = 1; \
322  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
323    { \
324      if (rc < 0) \
325        { \
326          if ((getline line2 < ($$0 ".log")) < 0) \
327            recheck = 0; \
328          break; \
329        } \
330      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
331        { \
332          recheck = 0; \
333          break; \
334        } \
335      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
336        { \
337          break; \
338        } \
339    }; \
340  if (recheck) \
341    print $$0; \
342  close ($$0 ".trs"); \
343  close ($$0 ".log"); \
344}'
345# A command that, given a newline-separated list of test names on the
346# standard input, create the global log from their .trs and .log files.
347am__create_global_log = $(AWK) ' \
348function fatal(msg) \
349{ \
350  print "fatal: making $@: " msg | "cat >&2"; \
351  exit 1; \
352} \
353function rst_section(header) \
354{ \
355  print header; \
356  len = length(header); \
357  for (i = 1; i <= len; i = i + 1) \
358    printf "="; \
359  printf "\n\n"; \
360} \
361{ \
362  copy_in_global_log = 1; \
363  global_test_result = "RUN"; \
364  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
365    { \
366      if (rc < 0) \
367         fatal("failed to read from " $$0 ".trs"); \
368      if (line ~ /$(am__global_test_result_rx)/) \
369        { \
370          sub("$(am__global_test_result_rx)", "", line); \
371          sub("[        ]*$$", "", line); \
372          global_test_result = line; \
373        } \
374      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
375        copy_in_global_log = 0; \
376    }; \
377  if (copy_in_global_log) \
378    { \
379      rst_section(global_test_result ": " $$0); \
380      while ((rc = (getline line < ($$0 ".log"))) != 0) \
381      { \
382        if (rc < 0) \
383          fatal("failed to read from " $$0 ".log"); \
384        print line; \
385      }; \
386      printf "\n"; \
387    }; \
388  close ($$0 ".trs"); \
389  close ($$0 ".log"); \
390}'
391# Restructured Text title.
392am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
393# Solaris 10 'make', and several other traditional 'make' implementations,
394# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
395# by disabling -e (using the XSI extension "set +e") if it's set.
396am__sh_e_setup = case $$- in *e*) set +e;; esac
397# Default flags passed to test drivers.
398am__common_driver_flags = \
399  --color-tests "$$am__color_tests" \
400  --enable-hard-errors "$$am__enable_hard_errors" \
401  --expect-failure "$$am__expect_failure"
402# To be inserted before the command running the test.  Creates the
403# directory for the log if needed.  Stores in $dir the directory
404# containing $f, in $tst the test, in $log the log.  Executes the
405# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
406# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
407# will run the test scripts (or their associated LOG_COMPILER, if
408# thy have one).
409am__check_pre = \
410$(am__sh_e_setup);                                      \
411$(am__vpath_adj_setup) $(am__vpath_adj)                 \
412$(am__tty_colors);                                      \
413srcdir=$(srcdir); export srcdir;                        \
414case "$@" in                                            \
415  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
416    *) am__odir=.;;                                     \
417esac;                                                   \
418test "x$$am__odir" = x"." || test -d "$$am__odir"       \
419  || $(MKDIR_P) "$$am__odir" || exit $$?;               \
420if test -f "./$$f"; then dir=./;                        \
421elif test -f "$$f"; then dir=;                          \
422else dir="$(srcdir)/"; fi;                              \
423tst=$$dir$$f; log='$@';                                 \
424if test -n '$(DISABLE_HARD_ERRORS)'; then               \
425  am__enable_hard_errors=no;                            \
426else                                                    \
427  am__enable_hard_errors=yes;                           \
428fi;                                                     \
429case " $(XFAIL_TESTS) " in                              \
430  *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
431    am__expect_failure=yes;;                            \
432  *)                                                    \
433    am__expect_failure=no;;                             \
434esac;                                                   \
435$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
436# A shell command to get the names of the tests scripts with any registered
437# extension removed (i.e., equivalently, the names of the test logs, with
438# the '.log' extension removed).  The result is saved in the shell variable
439# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
440# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
441# since that might cause problem with VPATH rewrites for suffix-less tests.
442# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
443am__set_TESTS_bases = \
444  bases='$(TEST_LOGS)'; \
445  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
446  bases=`echo $$bases`
447RECHECK_LOGS = $(TEST_LOGS)
448AM_RECURSIVE_TARGETS = check recheck
449TEST_SUITE_LOG = test-suite.log
450TEST_EXTENSIONS = @EXEEXT@ .test
451LOG_DRIVER = $(SHELL) $(top_srcdir)/cfgaux/test-driver
452LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
453am__set_b = \
454  case '$@' in \
455    */*) \
456      case '$*' in \
457        */*) b='$*';; \
458          *) b=`echo '$@' | sed 's/\.log$$//'`; \
459       esac;; \
460    *) \
461      b='$*';; \
462  esac
463am__test_logs1 = $(TESTS:=.log)
464am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
465TEST_LOGS = $(am__test_logs2:.test.log=.log)
466TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/cfgaux/test-driver
467TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
468        $(TEST_LOG_FLAGS)
469am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/cfgaux/depcomp \
470        $(top_srcdir)/cfgaux/test-driver $(top_srcdir)/src/Common.am
471DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
472ACLOCAL = @ACLOCAL@
473ADAPTATION_LIBS = @ADAPTATION_LIBS@
474ALLOCA = @ALLOCA@
475AMTAR = @AMTAR@
476AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
477AR = @AR@
478AR_R = @AR_R@
479AUTH_LIBS_TO_BUILD = @AUTH_LIBS_TO_BUILD@
480AUTH_MODULES = @AUTH_MODULES@
481AUTOCONF = @AUTOCONF@
482AUTOHEADER = @AUTOHEADER@
483AUTOMAKE = @AUTOMAKE@
484AWK = @AWK@
485BASIC_AUTH_HELPERS = @BASIC_AUTH_HELPERS@
486BUILDCXX = @BUILDCXX@
487BUILDCXXFLAGS = @BUILDCXXFLAGS@
488BZR = @BZR@
489CACHE_EFFECTIVE_USER = @CACHE_EFFECTIVE_USER@
490CC = @CC@
491CCDEPMODE = @CCDEPMODE@
492CFLAGS = @CFLAGS@
493CGIEXT = @CGIEXT@
494CHMOD = @CHMOD@
495CPP = @CPP@
496CPPFLAGS = @CPPFLAGS@
497CPPUNITCONFIG = @CPPUNITCONFIG@
498CRYPTLIB = @CRYPTLIB@
499CXX = @CXX@
500CXXCPP = @CXXCPP@
501CXXDEPMODE = @CXXDEPMODE@
502CXXFLAGS = @CXXFLAGS@
503CYGPATH_W = @CYGPATH_W@
504DEFAULT_HOSTS = @DEFAULT_HOSTS@
505DEFAULT_LOG_DIR = @DEFAULT_LOG_DIR@
506DEFAULT_PID_FILE = @DEFAULT_PID_FILE@
507DEFAULT_SWAP_DIR = @DEFAULT_SWAP_DIR@
508DEFS = @DEFS@
509DEPDIR = @DEPDIR@
510DIGEST_AUTH_HELPERS = @DIGEST_AUTH_HELPERS@
511DISK_LIBS = @DISK_LIBS@
512DISK_LINKOBJS = @DISK_LINKOBJS@
513DISK_MODULES = @DISK_MODULES@
514DISK_OS_LIBS = @DISK_OS_LIBS@
515DISK_PROGRAMS = @DISK_PROGRAMS@
516DLLTOOL = @DLLTOOL@
517DSYMUTIL = @DSYMUTIL@
518DUMPBIN = @DUMPBIN@
519ECAP_LIBS = @ECAP_LIBS@
520ECHO_C = @ECHO_C@
521ECHO_N = @ECHO_N@
522ECHO_T = @ECHO_T@
523EGREP = @EGREP@
524EPOLL_LIBS = @EPOLL_LIBS@
525EUILIB = @EUILIB@
526EXEEXT = @EXEEXT@
527EXPATLIB = @EXPATLIB@
528EXTERNAL_ACL_HELPERS = @EXTERNAL_ACL_HELPERS@
529EXT_LIBECAP_CFLAGS = @EXT_LIBECAP_CFLAGS@
530EXT_LIBECAP_LIBS = @EXT_LIBECAP_LIBS@
531FALSE = @FALSE@
532FGREP = @FGREP@
533GREP = @GREP@
534HAVE_CXX11 = @HAVE_CXX11@
535ICAP_LIBS = @ICAP_LIBS@
536INCLTDL = @INCLTDL@
537INSTALL = @INSTALL@
538INSTALL_DATA = @INSTALL_DATA@
539INSTALL_PROGRAM = @INSTALL_PROGRAM@
540INSTALL_SCRIPT = @INSTALL_SCRIPT@
541INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
542KRB5INCS = @KRB5INCS@
543KRB5LIBS = @KRB5LIBS@
544LBERLIB = @LBERLIB@
545LD = @LD@
546LDAPLIB = @LDAPLIB@
547LDFLAGS = @LDFLAGS@
548LIBADD_DL = @LIBADD_DL@
549LIBADD_DLD_LINK = @LIBADD_DLD_LINK@
550LIBADD_DLOPEN = @LIBADD_DLOPEN@
551LIBADD_SHL_LOAD = @LIBADD_SHL_LOAD@
552LIBGNUTLS_CFLAGS = @LIBGNUTLS_CFLAGS@
553LIBGNUTLS_LIBS = @LIBGNUTLS_LIBS@
554LIBLTDL = @LIBLTDL@
555LIBOBJS = @LIBOBJS@
556LIBOPENSSL_CFLAGS = @LIBOPENSSL_CFLAGS@
557LIBOPENSSL_LIBS = @LIBOPENSSL_LIBS@
558LIBS = @LIBS@
559LIBSASL = @LIBSASL@
560LIBTOOL = @LIBTOOL@
561LIB_DB = @LIB_DB@
562LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
563LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
564LINUXDOC = @LINUXDOC@
565LIPO = @LIPO@
566LN = @LN@
567LN_S = @LN_S@
568LOG_DAEMON_HELPERS = @LOG_DAEMON_HELPERS@
569LTDLDEPS = @LTDLDEPS@
570LTDLINCL = @LTDLINCL@
571LTDLOPEN = @LTDLOPEN@
572LTLIBOBJS = @LTLIBOBJS@
573LT_ARGZ_H = @LT_ARGZ_H@
574LT_CONFIG_H = @LT_CONFIG_H@
575LT_DLLOADERS = @LT_DLLOADERS@
576LT_DLPREOPEN = @LT_DLPREOPEN@
577LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
578MAINT = @MAINT@
579MAKEINFO = @MAKEINFO@
580MANIFEST_TOOL = @MANIFEST_TOOL@
581MINGW_LIBS = @MINGW_LIBS@
582MKDIR = @MKDIR@
583MKDIR_P = @MKDIR_P@
584MV = @MV@
585NEGOTIATE_AUTH_HELPERS = @NEGOTIATE_AUTH_HELPERS@
586NETTLELIB = @NETTLELIB@
587NM = @NM@
588NMEDIT = @NMEDIT@
589NTLM_AUTH_HELPERS = @NTLM_AUTH_HELPERS@
590OBJDUMP = @OBJDUMP@
591OBJEXT = @OBJEXT@
592OTOOL = @OTOOL@
593OTOOL64 = @OTOOL64@
594PACKAGE = @PACKAGE@
595PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
596PACKAGE_NAME = @PACKAGE_NAME@
597PACKAGE_STRING = @PACKAGE_STRING@
598PACKAGE_TARNAME = @PACKAGE_TARNAME@
599PACKAGE_URL = @PACKAGE_URL@
600PACKAGE_VERSION = @PACKAGE_VERSION@
601PATH_SEPARATOR = @PATH_SEPARATOR@
602PERL = @PERL@
603PKG_CONFIG = @PKG_CONFIG@
604PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
605PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
606PO2HTML = @PO2HTML@
607PO2TEXT = @PO2TEXT@
608POD2MAN = @POD2MAN@
609RANLIB = @RANLIB@
610REGEXLIB = @REGEXLIB@
611REPL_LIBS = @REPL_LIBS@
612REPL_OBJS = @REPL_OBJS@
613REPL_POLICIES = @REPL_POLICIES@
614RM = @RM@
615SED = @SED@
616SET_MAKE = @SET_MAKE@
617SH = @SH@
618SHELL = @SHELL@
619SMBCLIENT = @SMBCLIENT@
620SNMPLIB = @SNMPLIB@
621SQUID_CFLAGS = @SQUID_CFLAGS@
622SQUID_CPPUNIT_INC = @SQUID_CPPUNIT_INC@
623SQUID_CPPUNIT_LA = @SQUID_CPPUNIT_LA@
624SQUID_CPPUNIT_LIBS = @SQUID_CPPUNIT_LIBS@
625SQUID_CXXFLAGS = @SQUID_CXXFLAGS@
626SSLLIB = @SSLLIB@
627STOREID_REWRITE_HELPERS = @STOREID_REWRITE_HELPERS@
628STORE_LIBS_TO_ADD = @STORE_LIBS_TO_ADD@
629STORE_LIBS_TO_BUILD = @STORE_LIBS_TO_BUILD@
630STORE_TESTS = @STORE_TESTS@
631STRIP = @STRIP@
632TR = @TR@
633TRUE = @TRUE@
634URL_REWRITE_HELPERS = @URL_REWRITE_HELPERS@
635VERSION = @VERSION@
636WBINFO = @WBINFO@
637WIN32_PSAPI = @WIN32_PSAPI@
638XMLLIB = @XMLLIB@
639XTRA_LIBS = @XTRA_LIBS@
640XTRA_OBJS = @XTRA_OBJS@
641abs_builddir = @abs_builddir@
642abs_srcdir = @abs_srcdir@
643abs_top_builddir = @abs_top_builddir@
644abs_top_srcdir = @abs_top_srcdir@
645ac_ct_AR = @ac_ct_AR@
646ac_ct_CC = @ac_ct_CC@
647ac_ct_CXX = @ac_ct_CXX@
648ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
649am__include = @am__include@
650am__leading_dot = @am__leading_dot@
651am__quote = @am__quote@
652am__tar = @am__tar@
653am__untar = @am__untar@
654bindir = @bindir@
655build = @build@
656build_alias = @build_alias@
657build_cpu = @build_cpu@
658build_os = @build_os@
659build_vendor = @build_vendor@
660builddir = @builddir@
661datadir = @datadir@
662datarootdir = @datarootdir@
663docdir = @docdir@
664dvidir = @dvidir@
665exec_prefix = @exec_prefix@
666host = @host@
667host_alias = @host_alias@
668host_cpu = @host_cpu@
669host_os = @host_os@
670host_vendor = @host_vendor@
671htmldir = @htmldir@
672includedir = @includedir@
673infodir = @infodir@
674install_sh = @install_sh@
675krb5_config = @krb5_config@
676libdir = @libdir@
677libexecdir = @libexecdir@
678localedir = @localedir@
679localstatedir = @localstatedir@
680ltdl_LIBOBJS = @ltdl_LIBOBJS@
681ltdl_LTLIBOBJS = @ltdl_LTLIBOBJS@
682mandir = @mandir@
683mkdir_p = @mkdir_p@
684oldincludedir = @oldincludedir@
685pdfdir = @pdfdir@
686prefix = @prefix@
687program_transform_name = @program_transform_name@
688psdir = @psdir@
689runstatedir = @runstatedir@
690sbindir = @sbindir@
691sharedstatedir = @sharedstatedir@
692srcdir = @srcdir@
693subdirs = @subdirs@
694sys_symbol_underscore = @sys_symbol_underscore@
695sysconfdir = @sysconfdir@
696target_alias = @target_alias@
697top_build_prefix = @top_build_prefix@
698top_builddir = @top_builddir@
699top_srcdir = @top_srcdir@
700AM_CFLAGS = $(SQUID_CFLAGS)
701AM_CXXFLAGS = $(SQUID_CXXFLAGS)
702CLEANFILES = testHeaders
703TESTS = testHeaders
704AM_CPPFLAGS = -I$(top_srcdir) -I$(top_srcdir)/include \
705        -I$(top_srcdir)/lib -I$(top_srcdir)/src \
706        -I$(top_builddir)/include $(SQUID_CPPUNIT_INC) $(KRB5INCS) \
707        $(am__append_1) -I$(srcdir)
708@ENABLE_XPROF_STATS_FALSE@LIBPROFILER =
709@ENABLE_XPROF_STATS_TRUE@LIBPROFILER = $(top_builddir)/lib/profiler/libprofiler.la
710COMPAT_LIB = $(top_builddir)/compat/libcompat-squid.la $(LIBPROFILER)
711subst_perlshell = sed -e 's,[@]PERL[@],$(PERL),g' <$(srcdir)/$@.pl.in >$@ || ($(RM) -f $@ ; exit 1)
712EXTRA_LTLIBRARIES = libaufs.la libdiskd.la libufs.la librock.la
713noinst_LTLIBRARIES = $(STORE_LIBS_TO_BUILD) libfs.la
714
715# aufs is a "fake" legacy store
716libaufs_la_SOURCES = \
717        aufs/StoreFSaufs.cc
718
719
720# diskd is a "fake" legacy store
721libdiskd_la_SOURCES = \
722        diskd/StoreFSdiskd.cc
723
724libufs_la_SOURCES = \
725        ufs/StoreFSufs.h \
726        ufs/StoreFSufs.cc \
727        ufs/UFSStoreState.cc \
728        ufs/UFSSwapDir.cc \
729        ufs/UFSSwapDir.h \
730        ufs/UFSStrategy.cc \
731        ufs/UFSStrategy.h \
732        ufs/UFSStoreState.h \
733        ufs/StoreSearchUFS.h \
734        ufs/StoreSearchUFS.cc \
735        ufs/UFSSwapLogParser.h \
736        ufs/UFSSwapLogParser.cc \
737        ufs/RebuildState.h \
738        ufs/RebuildState.cc
739
740librock_la_SOURCES = \
741        rock/forward.h \
742        rock/RockDbCell.cc \
743        rock/RockDbCell.h \
744        rock/RockIoState.cc \
745        rock/RockIoState.h \
746        rock/RockIoRequests.cc \
747        rock/RockIoRequests.h \
748        rock/RockRebuild.cc \
749        rock/RockRebuild.h \
750        rock/RockStoreFileSystem.cc \
751        rock/RockStoreFileSystem.h \
752        rock/RockSwapDir.cc \
753        rock/RockSwapDir.h
754
755libfs_la_SOURCES = Module.cc Module.h
756libfs_la_LIBADD = $(STORE_LIBS_TO_BUILD)
757libfs_la_DEPENDENCIES = $(STORE_LIBS_TO_BUILD)
758all: all-am
759
760.SUFFIXES:
761.SUFFIXES: .cc .lo .log .o .obj .test .test$(EXEEXT) .trs
762$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/src/Common.am $(am__configure_deps)
763        @for dep in $?; do \
764          case '$(am__configure_deps)' in \
765            *$$dep*) \
766              ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
767                && { if test -f $@; then exit 0; else break; fi; }; \
768              exit 1;; \
769          esac; \
770        done; \
771        echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu src/fs/Makefile'; \
772        $(am__cd) $(top_srcdir) && \
773          $(AUTOMAKE) --gnu src/fs/Makefile
774Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
775        @case '$?' in \
776          *config.status*) \
777            cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
778          *) \
779            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
780            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
781        esac;
782$(top_srcdir)/src/Common.am $(am__empty):
783
784$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
785        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
786
787$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
788        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
789$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
790        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
791$(am__aclocal_m4_deps):
792
793clean-noinstLTLIBRARIES:
794        -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
795        @list='$(noinst_LTLIBRARIES)'; \
796        locs=`for p in $$list; do echo $$p; done | \
797              sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
798              sort -u`; \
799        test -z "$$locs" || { \
800          echo rm -f $${locs}; \
801          rm -f $${locs}; \
802        }
803aufs/$(am__dirstamp):
804        @$(MKDIR_P) aufs
805        @: > aufs/$(am__dirstamp)
806aufs/$(DEPDIR)/$(am__dirstamp):
807        @$(MKDIR_P) aufs/$(DEPDIR)
808        @: > aufs/$(DEPDIR)/$(am__dirstamp)
809aufs/StoreFSaufs.lo: aufs/$(am__dirstamp) \
810        aufs/$(DEPDIR)/$(am__dirstamp)
811
812libaufs.la: $(libaufs_la_OBJECTS) $(libaufs_la_DEPENDENCIES) $(EXTRA_libaufs_la_DEPENDENCIES)
813        $(AM_V_CXXLD)$(CXXLINK)  $(libaufs_la_OBJECTS) $(libaufs_la_LIBADD) $(LIBS)
814diskd/$(am__dirstamp):
815        @$(MKDIR_P) diskd
816        @: > diskd/$(am__dirstamp)
817diskd/$(DEPDIR)/$(am__dirstamp):
818        @$(MKDIR_P) diskd/$(DEPDIR)
819        @: > diskd/$(DEPDIR)/$(am__dirstamp)
820diskd/StoreFSdiskd.lo: diskd/$(am__dirstamp) \
821        diskd/$(DEPDIR)/$(am__dirstamp)
822
823libdiskd.la: $(libdiskd_la_OBJECTS) $(libdiskd_la_DEPENDENCIES) $(EXTRA_libdiskd_la_DEPENDENCIES)
824        $(AM_V_CXXLD)$(CXXLINK)  $(libdiskd_la_OBJECTS) $(libdiskd_la_LIBADD) $(LIBS)
825
826libfs.la: $(libfs_la_OBJECTS) $(libfs_la_DEPENDENCIES) $(EXTRA_libfs_la_DEPENDENCIES)
827        $(AM_V_CXXLD)$(CXXLINK)  $(libfs_la_OBJECTS) $(libfs_la_LIBADD) $(LIBS)
828rock/$(am__dirstamp):
829        @$(MKDIR_P) rock
830        @: > rock/$(am__dirstamp)
831rock/$(DEPDIR)/$(am__dirstamp):
832        @$(MKDIR_P) rock/$(DEPDIR)
833        @: > rock/$(DEPDIR)/$(am__dirstamp)
834rock/RockDbCell.lo: rock/$(am__dirstamp) \
835        rock/$(DEPDIR)/$(am__dirstamp)
836rock/RockIoState.lo: rock/$(am__dirstamp) \
837        rock/$(DEPDIR)/$(am__dirstamp)
838rock/RockIoRequests.lo: rock/$(am__dirstamp) \
839        rock/$(DEPDIR)/$(am__dirstamp)
840rock/RockRebuild.lo: rock/$(am__dirstamp) \
841        rock/$(DEPDIR)/$(am__dirstamp)
842rock/RockStoreFileSystem.lo: rock/$(am__dirstamp) \
843        rock/$(DEPDIR)/$(am__dirstamp)
844rock/RockSwapDir.lo: rock/$(am__dirstamp) \
845        rock/$(DEPDIR)/$(am__dirstamp)
846
847librock.la: $(librock_la_OBJECTS) $(librock_la_DEPENDENCIES) $(EXTRA_librock_la_DEPENDENCIES)
848        $(AM_V_CXXLD)$(CXXLINK)  $(librock_la_OBJECTS) $(librock_la_LIBADD) $(LIBS)
849ufs/$(am__dirstamp):
850        @$(MKDIR_P) ufs
851        @: > ufs/$(am__dirstamp)
852ufs/$(DEPDIR)/$(am__dirstamp):
853        @$(MKDIR_P) ufs/$(DEPDIR)
854        @: > ufs/$(DEPDIR)/$(am__dirstamp)
855ufs/StoreFSufs.lo: ufs/$(am__dirstamp) ufs/$(DEPDIR)/$(am__dirstamp)
856ufs/UFSStoreState.lo: ufs/$(am__dirstamp) \
857        ufs/$(DEPDIR)/$(am__dirstamp)
858ufs/UFSSwapDir.lo: ufs/$(am__dirstamp) ufs/$(DEPDIR)/$(am__dirstamp)
859ufs/UFSStrategy.lo: ufs/$(am__dirstamp) ufs/$(DEPDIR)/$(am__dirstamp)
860ufs/StoreSearchUFS.lo: ufs/$(am__dirstamp) \
861        ufs/$(DEPDIR)/$(am__dirstamp)
862ufs/UFSSwapLogParser.lo: ufs/$(am__dirstamp) \
863        ufs/$(DEPDIR)/$(am__dirstamp)
864ufs/RebuildState.lo: ufs/$(am__dirstamp) ufs/$(DEPDIR)/$(am__dirstamp)
865
866libufs.la: $(libufs_la_OBJECTS) $(libufs_la_DEPENDENCIES) $(EXTRA_libufs_la_DEPENDENCIES)
867        $(AM_V_CXXLD)$(CXXLINK)  $(libufs_la_OBJECTS) $(libufs_la_LIBADD) $(LIBS)
868
869clean-checkPROGRAMS:
870        @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
871        echo " rm -f" $$list; \
872        rm -f $$list || exit $$?; \
873        test -n "$(EXEEXT)" || exit 0; \
874        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
875        echo " rm -f" $$list; \
876        rm -f $$list
877
878mostlyclean-compile:
879        -rm -f *.$(OBJEXT)
880        -rm -f aufs/*.$(OBJEXT)
881        -rm -f aufs/*.lo
882        -rm -f diskd/*.$(OBJEXT)
883        -rm -f diskd/*.lo
884        -rm -f rock/*.$(OBJEXT)
885        -rm -f rock/*.lo
886        -rm -f ufs/*.$(OBJEXT)
887        -rm -f ufs/*.lo
888
889distclean-compile:
890        -rm -f *.tab.c
891
892@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Module.Plo@am__quote@
893@AMDEP_TRUE@@am__include@ @am__quote@aufs/$(DEPDIR)/StoreFSaufs.Plo@am__quote@
894@AMDEP_TRUE@@am__include@ @am__quote@diskd/$(DEPDIR)/StoreFSdiskd.Plo@am__quote@
895@AMDEP_TRUE@@am__include@ @am__quote@rock/$(DEPDIR)/RockDbCell.Plo@am__quote@
896@AMDEP_TRUE@@am__include@ @am__quote@rock/$(DEPDIR)/RockIoRequests.Plo@am__quote@
897@AMDEP_TRUE@@am__include@ @am__quote@rock/$(DEPDIR)/RockIoState.Plo@am__quote@
898@AMDEP_TRUE@@am__include@ @am__quote@rock/$(DEPDIR)/RockRebuild.Plo@am__quote@
899@AMDEP_TRUE@@am__include@ @am__quote@rock/$(DEPDIR)/RockStoreFileSystem.Plo@am__quote@
900@AMDEP_TRUE@@am__include@ @am__quote@rock/$(DEPDIR)/RockSwapDir.Plo@am__quote@
901@AMDEP_TRUE@@am__include@ @am__quote@ufs/$(DEPDIR)/RebuildState.Plo@am__quote@
902@AMDEP_TRUE@@am__include@ @am__quote@ufs/$(DEPDIR)/StoreFSufs.Plo@am__quote@
903@AMDEP_TRUE@@am__include@ @am__quote@ufs/$(DEPDIR)/StoreSearchUFS.Plo@am__quote@
904@AMDEP_TRUE@@am__include@ @am__quote@ufs/$(DEPDIR)/UFSStoreState.Plo@am__quote@
905@AMDEP_TRUE@@am__include@ @am__quote@ufs/$(DEPDIR)/UFSStrategy.Plo@am__quote@
906@AMDEP_TRUE@@am__include@ @am__quote@ufs/$(DEPDIR)/UFSSwapDir.Plo@am__quote@
907@AMDEP_TRUE@@am__include@ @am__quote@ufs/$(DEPDIR)/UFSSwapLogParser.Plo@am__quote@
908
909.cc.o:
910@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
911@am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
912@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
913@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
914@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
915@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
916
917.cc.obj:
918@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
919@am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
920@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
921@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
922@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
923@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
924
925.cc.lo:
926@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
927@am__fastdepCXX_TRUE@   $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
928@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Plo
929@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
930@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
931@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
932
933mostlyclean-libtool:
934        -rm -f *.lo
935
936clean-libtool:
937        -rm -rf .libs _libs
938        -rm -rf aufs/.libs aufs/_libs
939        -rm -rf diskd/.libs diskd/_libs
940        -rm -rf rock/.libs rock/_libs
941        -rm -rf ufs/.libs ufs/_libs
942
943ID: $(am__tagged_files)
944        $(am__define_uniq_tagged_files); mkid -fID $$unique
945tags: tags-am
946TAGS: tags
947
948tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
949        set x; \
950        here=`pwd`; \
951        $(am__define_uniq_tagged_files); \
952        shift; \
953        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
954          test -n "$$unique" || unique=$$empty_fix; \
955          if test $$# -gt 0; then \
956            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
957              "$$@" $$unique; \
958          else \
959            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
960              $$unique; \
961          fi; \
962        fi
963ctags: ctags-am
964
965CTAGS: ctags
966ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
967        $(am__define_uniq_tagged_files); \
968        test -z "$(CTAGS_ARGS)$$unique" \
969          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
970             $$unique
971
972GTAGS:
973        here=`$(am__cd) $(top_builddir) && pwd` \
974          && $(am__cd) $(top_srcdir) \
975          && gtags -i $(GTAGS_ARGS) "$$here"
976cscopelist: cscopelist-am
977
978cscopelist-am: $(am__tagged_files)
979        list='$(am__tagged_files)'; \
980        case "$(srcdir)" in \
981          [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
982          *) sdir=$(subdir)/$(srcdir) ;; \
983        esac; \
984        for i in $$list; do \
985          if test -f "$$i"; then \
986            echo "$(subdir)/$$i"; \
987          else \
988            echo "$$sdir/$$i"; \
989          fi; \
990        done >> $(top_builddir)/cscope.files
991
992distclean-tags:
993        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
994
995# Recover from deleted '.trs' file; this should ensure that
996# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
997# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
998# to avoid problems with "make -n".
999.log.trs:
1000        rm -f $< $@
1001        $(MAKE) $(AM_MAKEFLAGS) $<
1002
1003# Leading 'am--fnord' is there to ensure the list of targets does not
1004# expand to empty, as could happen e.g. with make check TESTS=''.
1005am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
1006am--force-recheck:
1007        @:
1008
1009$(TEST_SUITE_LOG): $(TEST_LOGS)
1010        @$(am__set_TESTS_bases); \
1011        am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
1012        redo_bases=`for i in $$bases; do \
1013                      am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
1014                    done`; \
1015        if test -n "$$redo_bases"; then \
1016          redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
1017          redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
1018          if $(am__make_dryrun); then :; else \
1019            rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
1020          fi; \
1021        fi; \
1022        if test -n "$$am__remaking_logs"; then \
1023          echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
1024               "recursion detected" >&2; \
1025        elif test -n "$$redo_logs"; then \
1026          am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
1027        fi; \
1028        if $(am__make_dryrun); then :; else \
1029          st=0;  \
1030          errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
1031          for i in $$redo_bases; do \
1032            test -f $$i.trs && test -r $$i.trs \
1033              || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
1034            test -f $$i.log && test -r $$i.log \
1035              || { echo "$$errmsg $$i.log" >&2; st=1; }; \
1036          done; \
1037          test $$st -eq 0 || exit 1; \
1038        fi
1039        @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
1040        ws='[   ]'; \
1041        results=`for b in $$bases; do echo $$b.trs; done`; \
1042        test -n "$$results" || results=/dev/null; \
1043        all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
1044        pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
1045        fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
1046        skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
1047        xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
1048        xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
1049        error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
1050        if test `expr $$fail + $$xpass + $$error` -eq 0; then \
1051          success=true; \
1052        else \
1053          success=false; \
1054        fi; \
1055        br='==================='; br=$$br$$br$$br$$br; \
1056        result_count () \
1057        { \
1058            if test x"$$1" = x"--maybe-color"; then \
1059              maybe_colorize=yes; \
1060            elif test x"$$1" = x"--no-color"; then \
1061              maybe_colorize=no; \
1062            else \
1063              echo "$@: invalid 'result_count' usage" >&2; exit 4; \
1064            fi; \
1065            shift; \
1066            desc=$$1 count=$$2; \
1067            if test $$maybe_colorize = yes && test $$count -gt 0; then \
1068              color_start=$$3 color_end=$$std; \
1069            else \
1070              color_start= color_end=; \
1071            fi; \
1072            echo "$${color_start}# $$desc $$count$${color_end}"; \
1073        }; \
1074        create_testsuite_report () \
1075        { \
1076          result_count $$1 "TOTAL:" $$all   "$$brg"; \
1077          result_count $$1 "PASS: " $$pass  "$$grn"; \
1078          result_count $$1 "SKIP: " $$skip  "$$blu"; \
1079          result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
1080          result_count $$1 "FAIL: " $$fail  "$$red"; \
1081          result_count $$1 "XPASS:" $$xpass "$$red"; \
1082          result_count $$1 "ERROR:" $$error "$$mgn"; \
1083        }; \
1084        {                                                               \
1085          echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
1086            $(am__rst_title);                                           \
1087          create_testsuite_report --no-color;                           \
1088          echo;                                                         \
1089          echo ".. contents:: :depth: 2";                               \
1090          echo;                                                         \
1091          for b in $$bases; do echo $$b; done                           \
1092            | $(am__create_global_log);                                 \
1093        } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
1094        mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
1095        if $$success; then                                              \
1096          col="$$grn";                                                  \
1097         else                                                           \
1098          col="$$red";                                                  \
1099          test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
1100        fi;                                                             \
1101        echo "$${col}$$br$${std}";                                      \
1102        echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
1103        echo "$${col}$$br$${std}";                                      \
1104        create_testsuite_report --maybe-color;                          \
1105        echo "$$col$$br$$std";                                          \
1106        if $$success; then :; else                                      \
1107          echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
1108          if test -n "$(PACKAGE_BUGREPORT)"; then                       \
1109            echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
1110          fi;                                                           \
1111          echo "$$col$$br$$std";                                        \
1112        fi;                                                             \
1113        $$success || exit 1
1114
1115check-TESTS:
1116        @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
1117        @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
1118        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1119        @set +e; $(am__set_TESTS_bases); \
1120        log_list=`for i in $$bases; do echo $$i.log; done`; \
1121        trs_list=`for i in $$bases; do echo $$i.trs; done`; \
1122        log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
1123        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
1124        exit $$?;
1125recheck: all $(check_PROGRAMS)
1126        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1127        @set +e; $(am__set_TESTS_bases); \
1128        bases=`for i in $$bases; do echo $$i; done \
1129                 | $(am__list_recheck_tests)` || exit 1; \
1130        log_list=`for i in $$bases; do echo $$i.log; done`; \
1131        log_list=`echo $$log_list`; \
1132        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
1133                am__force_recheck=am--force-recheck \
1134                TEST_LOGS="$$log_list"; \
1135        exit $$?
1136testHeaders.log: testHeaders
1137        @p='testHeaders'; \
1138        b='testHeaders'; \
1139        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1140        --log-file $$b.log --trs-file $$b.trs \
1141        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1142        "$$tst" $(AM_TESTS_FD_REDIRECT)
1143.test.log:
1144        @p='$<'; \
1145        $(am__set_b); \
1146        $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1147        --log-file $$b.log --trs-file $$b.trs \
1148        $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1149        "$$tst" $(AM_TESTS_FD_REDIRECT)
1150@am__EXEEXT_TRUE@.test$(EXEEXT).log:
1151@am__EXEEXT_TRUE@       @p='$<'; \
1152@am__EXEEXT_TRUE@       $(am__set_b); \
1153@am__EXEEXT_TRUE@       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1154@am__EXEEXT_TRUE@       --log-file $$b.log --trs-file $$b.trs \
1155@am__EXEEXT_TRUE@       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1156@am__EXEEXT_TRUE@       "$$tst" $(AM_TESTS_FD_REDIRECT)
1157
1158distdir: $(DISTFILES)
1159        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1160        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1161        list='$(DISTFILES)'; \
1162          dist_files=`for file in $$list; do echo $$file; done | \
1163          sed -e "s|^$$srcdirstrip/||;t" \
1164              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1165        case $$dist_files in \
1166          */*) $(MKDIR_P) `echo "$$dist_files" | \
1167                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1168                           sort -u` ;; \
1169        esac; \
1170        for file in $$dist_files; do \
1171          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1172          if test -d $$d/$$file; then \
1173            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1174            if test -d "$(distdir)/$$file"; then \
1175              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1176            fi; \
1177            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1178              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1179              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1180            fi; \
1181            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1182          else \
1183            test -f "$(distdir)/$$file" \
1184            || cp -p $$d/$$file "$(distdir)/$$file" \
1185            || exit 1; \
1186          fi; \
1187        done
1188check-am: all-am
1189        $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1190        $(MAKE) $(AM_MAKEFLAGS) check-TESTS
1191check: check-am
1192all-am: Makefile $(LTLIBRARIES)
1193installdirs:
1194install: install-am
1195install-exec: install-exec-am
1196install-data: install-data-am
1197uninstall: uninstall-am
1198
1199install-am: all-am
1200        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1201
1202installcheck: installcheck-am
1203install-strip:
1204        if test -z '$(STRIP)'; then \
1205          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1206            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1207              install; \
1208        else \
1209          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1210            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1211            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1212        fi
1213mostlyclean-generic:
1214        -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1215        -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1216        -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1217
1218clean-generic:
1219        -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
1220
1221distclean-generic:
1222        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1223        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1224        -rm -f aufs/$(DEPDIR)/$(am__dirstamp)
1225        -rm -f aufs/$(am__dirstamp)
1226        -rm -f diskd/$(DEPDIR)/$(am__dirstamp)
1227        -rm -f diskd/$(am__dirstamp)
1228        -rm -f rock/$(DEPDIR)/$(am__dirstamp)
1229        -rm -f rock/$(am__dirstamp)
1230        -rm -f ufs/$(DEPDIR)/$(am__dirstamp)
1231        -rm -f ufs/$(am__dirstamp)
1232
1233maintainer-clean-generic:
1234        @echo "This command is intended for maintainers to use"
1235        @echo "it deletes files that may require special tools to rebuild."
1236clean: clean-am
1237
1238clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
1239        clean-noinstLTLIBRARIES mostlyclean-am
1240
1241distclean: distclean-am
1242        -rm -rf ./$(DEPDIR) aufs/$(DEPDIR) diskd/$(DEPDIR) rock/$(DEPDIR) ufs/$(DEPDIR)
1243        -rm -f Makefile
1244distclean-am: clean-am distclean-compile distclean-generic \
1245        distclean-tags
1246
1247dvi: dvi-am
1248
1249dvi-am:
1250
1251html: html-am
1252
1253html-am:
1254
1255info: info-am
1256
1257info-am:
1258
1259install-data-am:
1260
1261install-dvi: install-dvi-am
1262
1263install-dvi-am:
1264
1265install-exec-am:
1266
1267install-html: install-html-am
1268
1269install-html-am:
1270
1271install-info: install-info-am
1272
1273install-info-am:
1274
1275install-man:
1276
1277install-pdf: install-pdf-am
1278
1279install-pdf-am:
1280
1281install-ps: install-ps-am
1282
1283install-ps-am:
1284
1285installcheck-am:
1286
1287maintainer-clean: maintainer-clean-am
1288        -rm -rf ./$(DEPDIR) aufs/$(DEPDIR) diskd/$(DEPDIR) rock/$(DEPDIR) ufs/$(DEPDIR)
1289        -rm -f Makefile
1290maintainer-clean-am: distclean-am maintainer-clean-generic
1291
1292mostlyclean: mostlyclean-am
1293
1294mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1295        mostlyclean-libtool
1296
1297pdf: pdf-am
1298
1299pdf-am:
1300
1301ps: ps-am
1302
1303ps-am:
1304
1305uninstall-am:
1306
1307.MAKE: check-am install-am install-strip
1308
1309.PHONY: CTAGS GTAGS TAGS all all-am check check-TESTS check-am clean \
1310        clean-checkPROGRAMS clean-generic clean-libtool \
1311        clean-noinstLTLIBRARIES cscopelist-am ctags ctags-am distclean \
1312        distclean-compile distclean-generic distclean-libtool \
1313        distclean-tags distdir dvi dvi-am html html-am info info-am \
1314        install install-am install-data install-data-am install-dvi \
1315        install-dvi-am install-exec install-exec-am install-html \
1316        install-html-am install-info install-info-am install-man \
1317        install-pdf install-pdf-am install-ps install-ps-am \
1318        install-strip installcheck installcheck-am installdirs \
1319        maintainer-clean maintainer-clean-generic mostlyclean \
1320        mostlyclean-compile mostlyclean-generic mostlyclean-libtool \
1321        pdf pdf-am ps ps-am recheck tags tags-am uninstall \
1322        uninstall-am
1323
1324.PRECIOUS: Makefile
1325
1326
1327$(OBJS): $(top_srcdir)/include/version.h $(top_builddir)/include/autoconf.h
1328
1329ufs/all: libufs.la
1330ufs/clean: clean
1331rock/all: librock.la
1332rock/clean: clean
1333
1334testHeaders: $(srcdir)/ufs/*.h $(srcdir)/rock/*.h
1335        $(SHELL) $(top_srcdir)/test-suite/testheaders.sh "$(CXXCOMPILE)" $^ || exit 1
1336
1337.PHONY: testHeaders
1338
1339# Tell versions [3.59,3.63) of GNU make to not export all variables.
1340# Otherwise a system limit (for SysV at least) may be exceeded.
1341.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.